%define upstream_name 	 Geo-IPfree
%define upstream_version 1.160000

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Look up country by IP Address
License:    GPL+ or Artistic
Url:        https://metacpan.org/release/%{upstream_name}
Group:      Development/Perl
Source0:    https://cpan.metacpan.org/modules/by-module/Geo/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test2::Bundle::Extended)
BuildRequires: perl(Test2::Plugin::NoWarnings)
BuildRequires: perl(Test2::Tools::Explain)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Look up country of IP Address. This module make this off-line and 
the DB of IPs is free & small. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Geo
%{_mandir}/*/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.160.0-2.mga9
+ Revision: 1816058
- Mageia 9 Mass Rebuild

* Wed Feb 02 2022 tv <tv> 1.160.0-1.mga9
+ Revision: 1770999
- update to 1.160000

* Wed Feb 12 2020 umeabot <umeabot> 1.151.940-5.mga8
+ Revision: 1494666
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.151.940-4.mga7
+ Revision: 1268200
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.151.940-3.mga6
+ Revision: 1027768
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.151.940-2.mga6
+ Revision: 968605
- Mageia 6 Mass Rebuild

* Tue Jul 14 2015 sander85 <sander85> 1.151.940-1.mga6
+ Revision: 854051
- update to 1.151940

* Mon Jun 29 2015 sander85 <sander85> 1.143.630-1.mga6
+ Revision: 847902
- update to 1.143630

* Wed Oct 15 2014 umeabot <umeabot> 1.141.670-3.mga5
+ Revision: 742952
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.141.670-2.mga5
+ Revision: 684841
- Mageia 5 Mass Rebuild

* Tue Jun 17 2014 sander85 <sander85> 1.141.670-1.mga5
+ Revision: 637810
- update to 1.141670

* Mon Feb 24 2014 jquelin <jquelin> 1.140.470-1.mga5
+ Revision: 596259
- update to 1.140470

* Fri Feb 07 2014 sander85 <sander85> 1.132.870-1.mga5
+ Revision: 585090
- update to 1.132870

* Sat Oct 19 2013 umeabot <umeabot> 1.131.650-2.mga4
+ Revision: 528714
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 1.131.650-1.mga4
+ Revision: 446961
- update to 1.131650

* Fri Jun 07 2013 jquelin <jquelin> 1.130.450-1.mga4
+ Revision: 439306
- update to 1.130450

* Sun Jan 13 2013 umeabot <umeabot> 1.122.880-2.mga3
+ Revision: 367633
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 1.122.880-1.mga3
+ Revision: 306100
- update to 1.122880

* Wed Jul 04 2012 jquelin <jquelin> 1.121.660-1.mga3
+ Revision: 267337
- update to 1.121660

* Thu Feb 23 2012 jquelin <jquelin> 1.120.460-1.mga2
+ Revision: 212895
- update to 1.120460

* Thu Nov 03 2011 jquelin <jquelin> 1.112.870-1.mga2
+ Revision: 162211
- update to 1.112870

* Sat Sep 10 2011 kharec <kharec> 1.112.490-1.mga2
+ Revision: 142112
- update to 1.112490

* Fri Jun 17 2011 jquelin <jquelin> 1.111.650-1.mga2
+ Revision: 109139
- update to 1.111650

* Wed Feb 16 2011 jquelin <jquelin> 1.110.450-1.mga1
+ Revision: 52498
- update to 1.110450

* Thu Jan 20 2011 jquelin <jquelin> 1.102.870-1.mga1
+ Revision: 26281
- mageia rebuild
- imported package perl-Geo-IPfree


* Sat Oct 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.102.870-1mdv2011.0
+ Revision: 587628
- new version

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.101.650-1mdv2011.0
+ Revision: 552311
- update to 1.101650

* Tue Feb 16 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.470-1mdv2010.1
+ Revision: 506747
- update to 1.100470

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.800.0-1mdv2010.1
+ Revision: 461283
- update to 0.8

* Tue Sep 15 2009 Jérôme Quelin <jquelin@mandriva.org> 0.700.0-1mdv2010.0
+ Revision: 442939
- update to 0.7

* Sun May 17 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.6-1mdv2010.0
+ Revision: 376722
- update to new version 0.6

* Wed Feb 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.5-1mdv2009.1
+ Revision: 337313
- update to new version 0.5

* Tue Dec 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.4-1mdv2009.1
+ Revision: 309304
- update to new version 0.4

* Sat Nov 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.3-1mdv2009.1
+ Revision: 305713
- update to new version 0.3

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.2-6mdv2009.0
+ Revision: 241288
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Aug 20 2007 Thierry Vignaud <tv@mandriva.org> 0.2-4mdv2008.0
+ Revision: 67506
- simplify buildrequires


* Tue Sep 27 2005 Olivier Thauvin <nanardon@mandriva.org> 0.2-4mdk
- remove MANIFEST

* Tue Sep 27 2005 Olivier Thauvin <nanardon@mandriva.org> 0.2-3mdk
- rebuild
- make test

* Tue Nov 09 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.2-2mdk
- rebuild

* Mon Sep 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.2-1mdk
- needed by w3perl

